

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Firewall TISCI Description &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 2: TISCI Message Documentation" href="../index.html"/>
        <link rel="next" title="Secure AP Command Interface" href="sec_ap_data_transfer.html"/>
        <link rel="prev" title="Processor Boot Management TISCI Description" href="PROC_BOOT.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                19.07.00
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 2: TISCI Message Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#general">General</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#power-management-pm">Power Management (PM)</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#resource-management-rm">Resource Management (RM)</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#secure-management">Secure Management</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="sec_cert_format.html">Security X509 Certificate Documentation</a></li>
<li class="toctree-l3"><a class="reference internal" href="PROC_BOOT.html">Processor Boot Management TISCI Description</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">Firewall TISCI Description</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#background-information">Background Information</a></li>
<li class="toctree-l4"><a class="reference internal" href="#initial-configuration">Initial Configuration</a></li>
<li class="toctree-l4"><a class="reference internal" href="#api-description">API Description</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sec_ap_data_transfer.html">Secure AP Command Interface</a></li>
<li class="toctree-l3"><a class="reference internal" href="rng_api.html">Random Number Generator API</a></li>
<li class="toctree-l3"><a class="reference internal" href="keystore.html">Runtime Keystore TISCI Description</a></li>
<li class="toctree-l3"><a class="reference internal" href="asymmetric_key_services.html">Asymmetric Key Services TISCI Description</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 2: TISCI Message Documentation</a> &raquo;</li>
      
    <li>Firewall TISCI Description</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="firewall-tisci-description">
<h1>Firewall TISCI Description<a class="headerlink" href="#firewall-tisci-description" title="Permalink to this headline">¶</a></h1>
<p id="sec-ap-fwl-tisci-desc">This chapter provides information on Firewall API’s provided by system firmware.
There are three firewall API as listed below.</p>
<table border="1" class="docutils">
<colgroup>
<col width="23%" />
<col width="77%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">TISCI Message ID</th>
<th class="head">Message Name</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>0x9000</td>
<td><a class="reference internal" href="#set-firewall-region"><span class="std std-ref">TISCI_MSG_SET_FWL_REGION</span></a>.</td>
</tr>
<tr class="row-odd"><td>0x9001</td>
<td><a class="reference internal" href="#get-firewall-region"><span class="std std-ref">TISCI_MSG_GET_FWL_REGION</span></a>.</td>
</tr>
<tr class="row-even"><td>0x9002</td>
<td><a class="reference internal" href="#change-firewall-owner"><span class="std std-ref">TISCI_MSG_CHANGE_FWL_OWNER</span></a>.</td>
</tr>
</tbody>
</table>
<div class="section" id="background-information">
<h2>Background Information<a class="headerlink" href="#background-information" title="Permalink to this headline">¶</a></h2>
<p>Each firewall in the system is assigned an owner. Ownership is
assigned using <cite>Host ID</cite>. Only a owner of a firewall can</p>
<ul class="simple">
<li>Configure the firewall permissions</li>
<li>Query the firewall permissions</li>
<li>Transfer the firewall ownership to another owner(host)</li>
</ul>
</div>
<div class="section" id="initial-configuration">
<h2>Initial Configuration<a class="headerlink" href="#initial-configuration" title="Permalink to this headline">¶</a></h2>
<p>System firmware configures the firewalls in the following manner on startup.</p>
<ol class="arabic simple">
<li>DMSC internal memories are firewalled. Firewall ownership is assigned to DMSC.</li>
<li>Secure proxy and associated resources required for DMSC operation are
firewalled. Firewall ownership is assigned to DMSC.</li>
<li>All Navss resources not used by DMSC are firewalled and ownership of the
firewalls is assigned to Resource Manager(RM). The intent is that RM programs
the firewalls for Navss resources based on resource assignment in board
configuration.</li>
</ol>
</div>
<div class="section" id="api-description">
<h2>API Description<a class="headerlink" href="#api-description" title="Permalink to this headline">¶</a></h2>
<div class="section" id="tisci-msg-set-fwl-region-set-firewall-region">
<span id="set-firewall-region"></span><h3>TISCI_MSG_SET_FWL_REGION - Set Firewall region<a class="headerlink" href="#tisci-msg-set-fwl-region-set-firewall-region" title="Permalink to this headline">¶</a></h3>
<p><strong>Usage</strong>:</p>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="tisci-message-id">
<h3>TISCI Message ID<a class="headerlink" href="#tisci-message-id" title="Permalink to this headline">¶</a></h3>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_SET_FWL_REGION</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9000U)</span></code></p>
<p>Message to set a firewall region configuration</p>
</p>
<p><p><strong>struct tisci_msg_fwl_set_firewall_region_req</strong></p>
<p>Request for configuring the firewall permissions.</p>
<table border="1" class="docutils">
<colgroup>
<col width="5%" />
<col width="6%" />
<col width="90%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header</td>
</tr>
<tr class="row-odd"><td>fwl_id</td>
<td>u16</td>
<td>firewall ID in question. fwl_id is defined in the TRM.</td>
</tr>
<tr class="row-even"><td>region</td>
<td>u16</td>
<td>Region or channel number to set config info This field is unused in case of a simple firewall  and must be initialized to zero.  In case of a region based firewall, this field indicates the region in question. (index starting from 0) In case of a channel based firewall, this field indicates the channel in question (index starting from 0)</td>
</tr>
<tr class="row-odd"><td>n_permission_regs</td>
<td>u32</td>
<td>Number of permission registers to set</td>
</tr>
<tr class="row-even"><td>control</td>
<td>u32</td>
<td>Contents of the firewall CONTROL register to set</td>
</tr>
<tr class="row-odd"><td>permissions</td>
<td>u32</td>
<td>Contents of the firewall PERMISSION register to set</td>
</tr>
<tr class="row-even"><td>start_address</td>
<td>soc_phys_addr_t</td>
<td>Contents of the firewall START_ADDRESS register to set</td>
</tr>
<tr class="row-odd"><td>end_address</td>
<td>soc_phys_addr_t</td>
<td>Contents of the firewall END_ADDRESS register to set</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_fwl_set_firewall_region_resp</strong></p>
<p>Response for configuring the firewall permissions.</p>
<table border="1" class="docutils">
<colgroup>
<col width="7%" />
<col width="11%" />
<col width="83%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header. ACK response indicates that firewall configuration is succesful. NACK response indicates that the configuration was not performed.</td>
</tr>
</tbody>
</table>
</p>
</div>
<div class="section" id="tisci-msg-get-fwl-region-get-firewall-region">
<span id="get-firewall-region"></span><h3>TISCI_MSG_GET_FWL_REGION - Get Firewall region<a class="headerlink" href="#tisci-msg-get-fwl-region-get-firewall-region" title="Permalink to this headline">¶</a></h3>
<p><strong>Usage</strong>:</p>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id1">
<h3>TISCI Message ID<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_GET_FWL_REGION</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9001U)</span></code></p>
<p>Message to get a firewall region configuration</p>
</p>
<p><p><strong>struct tisci_msg_fwl_get_firewall_region_req</strong></p>
<p>Request for retrieving the firewall permissions.</p>
<table border="1" class="docutils">
<colgroup>
<col width="20%" />
<col width="22%" />
<col width="58%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header.</td>
</tr>
<tr class="row-odd"><td>fwl_id</td>
<td>u16</td>
<td>firewall ID in question. fwl_id is defined in the TRM.</td>
</tr>
<tr class="row-even"><td>region</td>
<td>u16</td>
<td>Region or channel number to set config info</td>
</tr>
<tr class="row-odd"><td>n_permission_regs</td>
<td>u32</td>
<td>Number of permission registers to retrieve</td>
</tr>
</tbody>
</table>
<p>This field is unused in case of a simple firewall  and must be initialized
 to zero.  In case of a region based firewall, this field indicates the
 region in question (index starting from 0). In case of a channel based
 firewall, this field indicates the channel in question (index starting
 from 0).</p>
</p>
<p><p><strong>struct tisci_msg_fwl_get_firewall_region_resp</strong></p>
<p>Response for retrieving the firewall permissions.</p>
<table border="1" class="docutils">
<colgroup>
<col width="5%" />
<col width="6%" />
<col width="90%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header. A ACK response in the hdr indicates that the message was processed. successfully. A NACK response indicates failure to retrieve firewall permissions.</td>
</tr>
<tr class="row-odd"><td>fwl_id</td>
<td>u16</td>
<td>firewall ID in question. fwl_id is defined in the TRM.</td>
</tr>
<tr class="row-even"><td>region</td>
<td>u16</td>
<td>Region or channel number to set config info This field is unused in case of a simple firewall  and must be initialized to zero.  In case of a region based firewall, this field indicates the region in question. (index starting from 0) In case of a channel based firewall, this field indicates the channel in question (index starting from 0)</td>
</tr>
<tr class="row-odd"><td>n_permission_regs</td>
<td>u32</td>
<td>Number of permission registers retrieved</td>
</tr>
<tr class="row-even"><td>control</td>
<td>u32</td>
<td>Contents of the firewall CONTROL register</td>
</tr>
<tr class="row-odd"><td>permissions</td>
<td>u32</td>
<td>Contents of the firewall PERMISSION registers</td>
</tr>
<tr class="row-even"><td>start_address</td>
<td>soc_phys_addr_t</td>
<td>Contents of the firewall START_ADDRESS register This is not applicable for channelized firewalls.</td>
</tr>
<tr class="row-odd"><td>end_address</td>
<td>soc_phys_addr_t</td>
<td>Contents of the firewall END_ADDRESS register This is not applicable for channelized firewalls.</td>
</tr>
</tbody>
</table>
</p>
</div>
<div class="section" id="tisci-msg-change-fwl-owner-change-firewall-owner">
<span id="change-firewall-owner"></span><h3>TISCI_MSG_CHANGE_FWL_OWNER - Change Firewall Owner<a class="headerlink" href="#tisci-msg-change-fwl-owner-change-firewall-owner" title="Permalink to this headline">¶</a></h3>
<p><strong>Usage</strong>:</p>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id2">
<h3>TISCI Message ID<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_CHANGE_FWL_OWNER</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9002U)</span></code></p>
<p>Message to change firewall region owner</p>
</p>
<p><p><strong>struct tisci_msg_fwl_change_owner_info_req</strong></p>
<p>Request for a change owner operation</p>
<table border="1" class="docutils">
<colgroup>
<col width="17%" />
<col width="28%" />
<col width="55%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header</td>
</tr>
<tr class="row-odd"><td>fwl_id</td>
<td>u16</td>
<td>firewall ID in question</td>
</tr>
<tr class="row-even"><td>region</td>
<td>u16</td>
<td>Region or channel number if applicable</td>
</tr>
<tr class="row-odd"><td>owner_index</td>
<td>u8</td>
<td>New owner index to transfer ownership to</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_fwl_change_owner_info_resp</strong></p>
<p>Response for a change owner operation</p>
<table border="1" class="docutils">
<colgroup>
<col width="12%" />
<col width="11%" />
<col width="77%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header ACK response indicates that change owner operation is succesful. NACK response indicates that change owner operation failed.</td>
</tr>
<tr class="row-odd"><td>fwl_id</td>
<td>u16</td>
<td>firewall ID specified in request</td>
</tr>
<tr class="row-even"><td>region</td>
<td>u16</td>
<td>Region or channel number specified in request</td>
</tr>
<tr class="row-odd"><td>owner_index</td>
<td>u8</td>
<td>owner index specified in request</td>
</tr>
<tr class="row-even"><td>owner_privid</td>
<td>u8</td>
<td>new owner priv-ID returned by DMSC. This field is currently initialized to zero by DMSC.</td>
</tr>
<tr class="row-odd"><td>owner_permission_bits</td>
<td>u16</td>
<td>new owner permission bits returned by DMSC. This field is currently initialized to zero by DMSC.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="sec_ap_data_transfer.html" class="btn btn-neutral float-right" title="Secure AP Command Interface" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="PROC_BOOT.html" class="btn btn-neutral" title="Processor Boot Management TISCI Description" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2019</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'19.07.00',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>